View Issue Details

IDProjectCategoryView StatusLast Update
0032292LazarusIDEpublic2017-10-10 13:07
ReporterBenito van der Zander Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.8RC4 
Summary0032292: too many dialogs about symlinks to source files
DescriptionWhen the source file is in a symlinked folder, Lazarus asks every time the file is accessed if it should open the file from the symlink or from the target folder.

Even if the file is already open and you do not want to open it, but just go to another line.

That makes it nearly impossible to debug the file, because on every line reached by single stepping, it asks again, if it should open the file from the symlink or from the target folder. Every time you press F7, it asks again if it should open the file from the symlink or from the target folder.

It should remember your answer or should not ask again, if it should open the file from the symlink or from the target folder, when the file is already open under any name.

If it ask again, if it should open the file from the symlink or from the target folder, for an already opened file, you can open the file under both names and then it gets confused, when you change one of the files and asks additionally, if it should reload the file.

TagsNo tags attached.
Fixed in Revisionr55992, r55994, r55996, r55997, r56004
LazTarget-
Widgetset
Attached Files

Relationships

related to 0031577 resolvedJuha Manninen IDE opens different tabs for editing and debugging when the file is behind a symlink 
related to 0031622 resolvedJuha Manninen Fix for 0031577 breaks debugging 
related to 0031260 resolvedJuha Manninen Lazarus and symlinks on linux 

Activities

Juha Manninen

2017-10-06 23:58

developer   ~0103224

Last edited: 2017-10-09 11:53

View 4 revisions

Please test with r55992 (trunk).
Optimized in r55994. ... and improved more in r55996, r55997 and r56004. Now it looks good to me.

Juha Manninen

2017-10-09 11:54

developer   ~0103276

Resolving...

Issue History

Date Modified Username Field Change
2017-08-18 17:01 Benito van der Zander New Issue
2017-10-06 08:59 Juha Manninen Assigned To => Juha Manninen
2017-10-06 08:59 Juha Manninen Status new => assigned
2017-10-06 13:20 Juha Manninen Relationship added related to 0031577
2017-10-06 13:21 Juha Manninen Relationship added related to 0031622
2017-10-06 23:58 Juha Manninen LazTarget => -
2017-10-06 23:58 Juha Manninen Note Added: 0103224
2017-10-06 23:58 Juha Manninen Status assigned => feedback
2017-10-07 16:14 Juha Manninen Note Edited: 0103224 View Revisions
2017-10-08 12:29 Juha Manninen Note Edited: 0103224 View Revisions
2017-10-09 11:53 Juha Manninen Note Edited: 0103224 View Revisions
2017-10-09 11:54 Juha Manninen Fixed in Revision => r55992, r55994, r55996, r55997, r56004
2017-10-09 11:54 Juha Manninen Note Added: 0103276
2017-10-09 11:54 Juha Manninen Status feedback => resolved
2017-10-09 11:54 Juha Manninen Resolution open => fixed
2017-10-10 13:07 Juha Manninen Relationship added related to 0031260